import Connector from 'taco-toolkit'

function onInitialized() {
  const elem = document.getElementById('submitButton')
  elem.innerText = 'Get Earthquake Data!'
  elem.removeAttribute('disabled')
  // Use this to automate submission:  setTimeout(() => elem.click(), 1000)
}

const connector = new Connector(onInitialized)

function submit() {
  connector.handlerInputs = [
    {
      fetcher: 'MyFetcher',
      parser: 'MyParser',
      data: {
        url: 'https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_week.geojson',
      },
    },
  ]
  connector.submit()
}

window.addEventListener('load', function () {
  document.getElementById('submitButton').addEventListener('click', submit)
})
