/// <reference types="node" />
import { Parcel } from '@parcel/core';
import { SpawnSyncReturns } from 'child_process';
import { Command } from 'commander';
import CliCommand from './cli-command';
export default class Build extends CliCommand {
    private ParcelCtor;
    private parcelConfigPath;
    constructor();
    options(module: Command): void;
    handler(module: Command, _folderName: Command): Promise<void>;
    validateErrors(proc: SpawnSyncReturns<string> | SpawnSyncReturns<Buffer>, successMsg: string, failureMsg: string): boolean;
    installDependencies(): boolean;
    installTacoToolkit(): boolean;
    cleanPreviousBuild(): void;
    /** Lazily load and then construct new parcel from the best location -- prefer version of connector's toolkit. */
    newParcel(entries: string | string[], target: string): Parcel;
    buildConnectorsApp(): Promise<void>;
    buildConnectorsHandlers(): Promise<void>;
    preProcessHandlers(): void;
    copyConnectorJson(): boolean;
}
