/// <reference types="node" />
import { ChildProcess } from 'child_process';
import { Command } from 'commander';
import request from 'superagent';
import CliCommand from './cli-command';
import Emulator from './emulator';
export default class Simulator extends CliCommand {
    tacoRootPath: string;
    connectorName: string;
    tacoFolder: string;
    childProcess: ChildProcess;
    emulator: Emulator;
    constructor();
    options(module: Command): void;
    handler(module: Command, _cmd: Command): Promise<void>;
    startEps(debug: boolean, logDir?: string, epsMainPath?: string): Promise<boolean>;
    waitForEPSStart(count?: number): Promise<boolean>;
    launchConnector(module: Command, epsInstanceId: string, epsInstancePort: string): Promise<request.Response>;
    getEpsInstanceId(): string;
    getEpsInstancePort(): string;
    getEpsPortFilePath(): string;
    terminate(): void;
    terminateSimulator(): void;
}
