import { ConnectorJson } from '../../shared/types/connector-json';
import { ConnectorPhase } from '../../shared/enums/connector-phase';
import { DataContainer } from './handlers/abstract/parser';
import { TransformedData } from '../../shared/types/transformed-data';
import { HandlerInput } from '../../shared/types/handler-input';
import { ExtractorOptions } from '../../shared/types/extractor-options';
import Extractor from './extractor';
import { AuthResult } from 'shared/types/auth-result';
export default class ExtractorContext {
    fetchState: {
        [tableName: string]: {
            fetched: boolean;
            startOffset: number;
        };
    };
    port?: string;
    appUIDir: string;
    readonly connectorJson: ConnectorJson;
    handlersDir: string;
    data: string | Uint8Array | Object[] | {
        tableName: string;
    } | {
        schema?: any;
        data?: any;
    };
    connectionId: string;
    handlerInputs: HandlerInput[];
    container: DataContainer;
    connector: ExtractorOptions;
    fetcher?: {
        tableName?: string;
        schema?: any;
    };
    transformedData: TransformedData;
    phase: ConnectorPhase;
    splitSchemaAndData: boolean;
    authResult: AuthResult;
    constructor(extractor: Extractor);
}
