import ExtractorContext from './extractor-context';
import { ConnectorPhase } from '../../shared/enums/connector-phase';
import { DataContainer } from './handlers/abstract/parser';
import { ExtractorOptions } from '../../shared/types/extractor-options';
export default class Extractor {
    cache: DataContainer | null;
    readonly options: ExtractorOptions;
    private pipeline;
    private port?;
    private readonly context;
    private extractorId;
    private extractorApi;
    constructor(options: ExtractorOptions, epsInstanceId: string, extractorId: string, connectionId: string, callerId: string);
    private makeTableNamesUnique;
    run(): Promise<void>;
    runPipeline(context: ExtractorContext, phase: ConnectorPhase): Promise<any>;
}
