import ExtractorContext from '../../extractor-context';
import { MetaData } from '../../../../shared/types/meta-data';
import { HandlerInput } from '../../../../shared/types/handler-input';
import { ColumnHeader } from '../../../../shared/types/column-header';
import { DataRow } from '../../../../shared/types/data-row';
export declare class DataTable {
    id: string;
    columns: ColumnHeader[];
    rows: DataRow[];
    name: string;
    properties: object;
    constructor(name: string);
    setId(id: string): void;
    setProperties(properties: object): void;
    addRow(row: DataRow): void;
    addRows(rows: DataRow[]): void;
    addColumnHeader(column: ColumnHeader): void;
    addColumnHeaders(colHeaders: ColumnHeader[]): void;
    createHeadersFromList(...columnNames: string[]): void;
}
export declare class DataContainer {
    metaData: MetaData;
    tables: DataTable[];
    constructor();
    getTableByName(name: string): DataTable;
    getTables(): DataTable[];
    appendTables(tables: DataTable[]): void;
}
export declare abstract class Parser {
    _container: DataContainer;
    constructor();
    addMetaData(options: MetaData): void;
    createTable(name: string): DataTable;
    get container(): DataContainer;
    parseSchema(fetcherResult: any, input: HandlerInput, context: ExtractorContext): Promise<DataContainer>;
    parseData(fetcherResult: any, input: HandlerInput, context: ExtractorContext): Promise<DataContainer>;
    parse(fetcherResult: any, input: HandlerInput, context: ExtractorContext): Promise<DataContainer>;
    run(fetcherResult: any, input: HandlerInput, context: ExtractorContext): Promise<DataContainer>;
}
