import express from 'express';
import { DataTable } from '../abstract/parser';
import { DataRow } from '../../../../shared/types/data-row';
export default class ExtractorApi {
    app: express.Application;
    callerId: string;
    epsInstanceId: string;
    extractorId: string;
    connectionId: string;
    constructor(callerId: string, epsInstanceId: string, extractorId: string, connectionId: string);
    interceptRequests(): void;
    private static respondBad;
    getTableNames(): string[] | null;
    getTable(res: express.Response, tableName: string): DataTable;
    getRows(res: express.Response, tableName: string, reset: boolean): Promise<DataRow[]>;
    createGetTables(): void;
    createGetMetadata(): void;
    createGetRows(): void;
    createHasMoreRows(): void;
    createGetRowCount(): void;
    run(host: string, start: string, end: string): Promise<number>;
}
