import { ConnectorPhase } from '../../shared/enums/connector-phase';
import { HandlerInput } from '../../shared/types/handler-input';
import { Handlers } from '../../shared/types/handlers';
import SandboxVM from '../sandbox/sandbox-vm';
import ExtractorContext from './extractor-context';
import { Auth } from './handlers/abstract/auth';
import { Fetcher } from './handlers/abstract/fetcher';
import { Parser } from './handlers/abstract/parser';
import { Store } from './handlers/abstract/store';
export default class SandboxPipeline {
    auth: Auth;
    parser: Parser;
    fetcher: Fetcher;
    storage: Store;
    sandboxVM: SandboxVM;
    input: HandlerInput;
    handlers: Handlers;
    constructor(context: ExtractorContext, input: HandlerInput);
    private loadHandlers;
    private runDataGatheringPhase;
    private runAuthPhase;
    run(context: ExtractorContext, phase: ConnectorPhase): Promise<void>;
}
