import { EpsApiOptions } from '../../../shared/types/eps-api-options';
export default class EpsApi {
    private readonly app;
    private readonly browserWatcherPort;
    private readonly extractorLaunchedEvent;
    private readonly port;
    private readonly staticServerOptions;
    constructor(options: EpsApiOptions);
    private initApiSettings;
    private initApiRoutes;
    private createMockServer;
    private createCorsRules;
    private interceptRequests;
    private static respondBad;
    /**
     * Handles `GET /?url=<url>`
     */
    private createRootRoute;
    private createGetStatus;
    private createGetCacheStatus;
    private createGetPermissionRoute;
    private createLaunchUI;
    private createWebAuthoringAppUrl;
    /**
     * Usage:
     * * DELETE /extractor/{extractor IDs seperated by comma}
     * * DELETE /extractor/
     */
    private createTerminateExtractor;
    private createClose;
    private startServer;
    private createExtractRoute;
    private createLogRoute;
    private getTacoPath;
    run(): Promise<boolean | Error>;
    private getOrInitializeDistinctConnectorName;
    private getConnectorJsonFilePath;
}
