interface TacoDestinationDirectories {
    uiDir: string;
    handlersDir: string;
}
export default class TacoInitializer {
    private static uiDir;
    private static handlersDir;
    /** Set of distinct connector names that have been initialized */
    private static initializedSet;
    /** Distinct name by path. Used only on server because path cannot be reused. */
    private static initializedMap;
    static initRootDirectories(destinations: TacoDestinationDirectories): void;
    private static makeDistinctConnectorName;
    private static getHashCode;
    /**
     *
     * @param connectionId
     * @param connectorClass
     * @param sourcePath
     * @returns distinct connector name, i.e., connectorClass-SHA
     */
    static ensureTacoInitialized(connectionId: string | null, connectorClass: string, sourcePath: string): Promise<string>;
}
export {};
