import { ConnectorLaunchStatus } from '../../../shared/enums/connector-launch-status';
import { ExtractorType } from '../../../shared/enums/extractor-type';
import { ConnectionData } from '../../../shared/types/connection-data';
import { ExtractorResponse } from '../../../shared/types/extractor-response';
interface ExtractorLaunchBase {
    type: string;
}
export interface ExtractorLaunchSuccessOptions extends ExtractorLaunchBase {
    type: 'success';
    extractorType: ExtractorType;
    extractorResponse: ExtractorResponse | null;
    connectionData: ConnectionData;
    secrets: object | undefined;
}
export interface ExtractorLaunchFailureOptions extends ExtractorLaunchBase {
    type: 'failure';
    error: Error;
    connectorLaunchStatus: ConnectorLaunchStatus;
}
export declare function isExtractorLaunchFailureOptions(obj: ExtractorLaunchSuccessOptions | ExtractorLaunchFailureOptions): obj is ExtractorLaunchFailureOptions;
export {};
