import ivm from 'isolated-vm';
export default class SandboxVM {
    private isolate;
    private context;
    private global;
    private sdk;
    private importedModules;
    constructor(memoryLimit?: number);
    private createNativeMethods;
    importModule(modulePath: string): Promise<void>;
    addProperty(name: string): void;
    addMethod(name: string, fn: (...args: any) => void, options?: ivm.ContextEvalOptions | undefined): void;
    getMethod(name: string): Function;
    executeCodeWithParameters(code: string, args: any[] | undefined, options: ivm.ContextEvalClosureOptions): Promise<any>;
    executeCode(code: string, options?: ivm.ContextEvalOptions | undefined): Promise<void>;
}
