import SandboxVM from '../sandbox-vm';
export interface MethodInfo {
    externalName: string;
    isStatic: boolean;
    functionRef: any;
}
export declare abstract class SandboxPlugin {
    sandbox: SandboxVM;
    abstract init(): Promise<void>;
    constructor(sandbox: SandboxVM);
    /**
     * Creates a class in the sandbox with the given methods.
     * @param methods Methods to define in sandbox
     * @param className Class to define in sandbox. Default to current concrete class name.
     */
    protected createClass(methods: MethodInfo[], className?: string): Promise<void>;
    private createMethod;
}
