import { AuthType } from './enums/auth-type';
import { SecretsType } from './types/secrets-type';
declare class AuthCredentials {
    static readonly headerAttributes: {
        readonly [key in AuthType]?: readonly string[];
    };
    protected static readonly validHeaderAttributes: Set<string>;
    protected credentialsMap: SecretsType;
    constructor(credentialsMap: SecretsType);
    credentials(authType?: AuthType): any;
    asOAuth(): OAuthCredentials;
    static fromHeaders(headers: SecretsType): AuthCredentials;
}
declare class OAuthCredentials extends AuthCredentials {
    constructor(authCredentials: AuthCredentials);
    accessToken(): string | undefined;
    refreshToken(): string | undefined;
    authHeader(): {
        [key: string]: string;
    };
}
export { AuthCredentials, OAuthCredentials };
