import { LogLevel } from './logger/log-level';
import Connector from 'sdk';
import { StatusCode } from './errors/status-code';
import { ErrorSources } from './errors/error-source';
import { ErrorCodes } from './errors/error-codes';
export declare class Logger {
    private static __instance;
    private static secretKeys;
    static readonly obfuscatedValue = "********";
    private levelPriority;
    private diskLogWritter;
    private writters;
    static createDiskInstance(epsInstanceId: string, name: string, dir: string, level?: LogLevel): Logger;
    static createWebInstance(sdk: Connector, level?: LogLevel): Logger;
    private static get Instance();
    private constructor();
    private setLevel;
    private ignore;
    /**
     * Although this method is an async one, the caller shouldn't need to wait it to complete,
     * unless the log is critical and you want to handle the failures during logging.
     */
    private log;
    /**
     * @returns a new object with credentials removed. Does not mutate the original object.
     */
    static removeSecrets(msg: unknown, ancestors?: unknown[]): unknown;
    static Info(msg: unknown, date?: Date): void;
    static Debug(msg: unknown, date?: Date): void;
    static Error(message: unknown, date?: Date): void;
    static EPSError(statusCode: StatusCode, errorSource: ErrorSources, epsErrorCode: ErrorCodes, errorMessage: unknown, date?: Date): void;
    static Trace(message: unknown, date?: Date): void;
    static Warning(message: unknown, date?: Date): void;
    static IfNullOrUndefined(str: string, obj: unknown, date?: Date): void;
    static Throw(err: string, date?: Date): never;
    static Initializing(msg: string): void;
    static SetLevel(level: LogLevel): void;
    static getLogFileName(): string | undefined;
    static getLogFilesLocation(): string | undefined;
    static getLogFilePath(): string | undefined;
    static getInstanceLogDir(): string | undefined;
    static getRootDir(): string | undefined;
}
