WEB DATA CONNECTOR SDK
LICENSE AGREEMENT

This Web Data Connector SDK License Agreement (“Agreement”) governs the download, access to and use of the SDK (as defined below). This Agreement is entered between the individual or entity that has downloaded or otherwise accessed the SDK (“you”) and Tableau Software, LLC or the applicable Tableau affiliate (“Tableau”).
BY DOWNLOADING, INSTALLING OR ACCESSING THE SDK, YOU ARE ACCEPTING ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. YOU AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN AGREEMENT SIGNED BY YOU AND LEGALLY BINDING BETWEEN YOU AND TABLEAU. IF YOU DO NOT AGREE TO ALL OF THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD, INSTALL OR ACCESS THE SDK. IF YOU WISH TO USE THE SDK AS AN EMPLOYEE, CONTRACTOR, OR AGENT OF A CORPORATION, PARTNERSHIP OR OTHER ENTITY, THEN YOU MUST BE AUTHORIZED TO SIGN FOR AND BIND THE ENTITY IN ORDER TO ACCEPT THE TERMS OF THIS AGREEMENT AND YOU REPRESENT AND WARRANT THAT YOU HAVE THE RIGHT AND AUTHORITY TO DO SO.

1. Definitions
   “Connector” means the .taco file and/or related components created by you using the SDK and Tableau application programmatic interfaces (APIs) that enables programmatic interaction between Tableau products and external web databases or applications.
   “Documentation” means any supporting technical documentation and other materials and information Tableau makes available to you in connection with the SDK.
   “Product” means any product or service that interoperates with a Connector, and provides functionality to or for Tableau products or services.
   “SDK” means the web data connector software development kit made available by Tableau to you. “SDK” includes any included content, data, Documentation, files, materials, software, computer code, supplements or updates unless they are provided with separate terms.
   “Tableau Exchange” means the online “exchange” operated by Tableau currently located at https://exchange.tableau.com/ that offers access to certain solutions that connect to or interoperate with Tableau products and services.
2. License
   2.1. License Grant. Subject to all of the terms and conditions of this Agreement, Tableau grants you a limited, worldwide, non-transferable, non-sublicensable, non-exclusive, royalty-free, fully paid-up license to access, download, copy and use the SDK for purposes of developing, testing and maintaining a Connector.. You are expressly prohibited from using the SDK and any Connector in any manner not specified in this Section 2 or the applicable Documentation.
   2.2. License Restrictions. You will not (and will not allow any third party to): (a) decompile, disassemble or otherwise reverse engineer the SDK (or any portion of the SDK), or attempt to reconstruct or discover any source code, underlying ideas, algorithms, file formats or programming interfaces of the SDK; (b) distribute, sell, sublicense, rent, lease or use the SDK (or any portion of the SDK) for time sharing, hosting, service provider or any other purposes, or use it on any systems not owned or properly licensed by you; (c) remove any SDK identification, proprietary notice, copyright, trademark, service mark or other notices contained in the SDK; (d) modify any part of the SDK, create a derivative work of any part of the SDK or incorporate the SDK into or with other software, except with respect to any sample code provided in the SDK or to the extent the SDK is incorporated with properly licensed Tableau software or as otherwise expressly authorized in writing by Tableau; (e) publicly disseminate performance information or analysis (including, without limitation, benchmarks) from any source relating to the SDK; or (f) use the SDK or your Connector in violation of any law or of any agreement or privacy policy you have with respect to any third party.
   2.3. Ownership: Except for the limited license rights expressly provided in this Section 2, Tableau and its licensors retain all rights, title, and interest, including all intellectual property rights, in and to the SDK and all modifications thereto and derivative works based thereon. All rights not granted by Tableau are reserved. Subject to Tableau’s rights in the SDK, you retain all your rights, title and interest, including all your intellectual property rights, in and to any Connectors that you create.  
   2.4. Third Party Code. The SDK may contain or be provided with components subject to the terms and conditions of “open source” software licenses (“Open Source Software”). Open Source Software may be identified in the Documentation or separate list that may be made available upon your request. To the extent required by the license that accompanies the Open Source Software, the terms of such license will apply in lieu of the terms of this Agreement only with respect to such Open Source Software, including any provisions governing access to source code, modification or reverse engineering.
   2.5. Feedback. If you make available to Tableau any comments, improvements, ideas, suggestions or other feedback to Tableau regarding the SDK (collectively, “Feedback”), Tableau may use, disclose, distribute, reproduce and otherwise exploit such Feedback in any manner without charge or obligation on account of intellectual property rights or otherwise.
   2.6. Privacy Policy. You acknowledge that the Tableau Privacy Policy applies if you provide any personal information in connection with this Agreement.
3. Term
   3.1. Term and Termination. This Agreement will remain in effect until terminated as set forth in this Section. Tableau may terminate the Agreement at any time, for any reason, upon written notice to you. You may terminate this Agreement at any time upon written notice to Tableau. Upon termination of this Agreement, your license to use the SDK will be terminated, and you will cease any use of the SDK and delete or destroy all copies of the SDK in your possession. If the Agreement is terminated due to your violation of Section 2.1 or 2.2, you will cease distribution of your Connectors and cooperate with Tableau to communicate termination with end users.
   3.2. Survival. Sections 2.2 (License Restrictions), 2.3 (Ownership), 2.4 (Third Party Code), 2.5 (Feedback), 3.2 (Survival), 4 (Disclaimer of Warranties), 5 (Support and Maintenance), 6 (Limitation of Liability), 7 (Indemnification), 8 (Confidential Information), 9 (Export Compliance) and 10 (General) survive any termination of this Agreement.
4. Disclaimer of Warranties. THE SDK IS PROVIDED “AS IS.” TABLEAU DOES NOT MAKE ANY REPRESENTATIONS, WARRANTIES, CONDITIONS OR UNDERTAKINGS, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE, INCLUDING BUT NOT LIMITED TO WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT WITH REGARD TO THE SDK, IN WHOLE OR IN PART, OR ITS HOSTING, AVAILABILITY OR OTHERWISE. YOU MAY HAVE OTHER STATUTORY RIGHTS. HOWEVER, TO THE FULL EXTENT PERMITTED BY LAW, THE DURATION OF STATUTORILY REQUIRED WARRANTIES, IF ANY, WILL BE LIMITED TO THIRTY (30) DAYS FROM THE DATE YOU FIRST DOWNLOAD OR ACCESS THE SDK, WHICHEVER IS EARLIER.
5. Support and Maintenance. Tableau may, in its sole discretion, make available support, updates and maintenance for the SDK, but Tableau will be under no obligation to do so. You, and not Tableau, are solely responsible for providing support, maintenance and updates for your Connectors and Products.
6. Limitation of Liability. TABLEAU WILL NOT BE LIABLE FOR ANY LOSS OF USE, LOST DATA, FAILURE OF SECURITY MECHANISMS, INTERRUPTION OF BUSINESS, UNAVAILABILITY OR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING LOST PROFITS OR COSTS OF COVER), REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF TABLEAU OR ANY OF ITS AFFILIATES WAS INFORMED OF THE POSSIBILITY OF SUCH DAMAGES IN ADVANCE. TABLEAU’S ENTIRE LIABILITY UNDER THIS AGREEMENT WILL NOT EXCEED USD $100.00 FOR THE AVOIDANCE OF DOUBT, TABLEAU DOES NOT OWE YOU ANY OBLIGATION OR LIABILITY OF ANY KIND WITH RESPECT TO THE SDK, OR YOUR CONNECTOR OR PRODUCT, OR THE HOSTING, AVAILABILITY, PERFORMANCE OR SUPPORT OF THE FOREGOING. THE PARTIES AGREE THAT THE LIMITATIONS SPECIFIED IN THIS SECTION WILL SURVIVE AND APPLY EVEN IF ANY LIMITED REMEDY SPECIFIED IN THIS AGREEMENT IS FOUND TO HAVE FAILED OF ITS ESSENTIAL PURPOSE.
7. Indemnification. You will indemnify and hold harmless Tableau and its officers, directors, employees and agents from and against all claims, lawsuits, damages, losses and expenses (including reasonable attorneys’ fees) (“Claims”) arising from or relating to: (a) any actual or alleged infringement, violation or misappropriation of any third party intellectual property right or other harm to third parties by a Connector, Product or any content, data, materials, products or services offered through any of the foregoing; (b) any unauthorized representation or warranty made by you to a third party related to Tableau or any of its affiliates, including the SDK or any Tableau products or services; or (c) your breach of this Agreement. Your obligations in this Section 7 are subject to receiving: (i) prompt notice of any Claim (but in any event notice in sufficient time for you to respond without prejudice); (ii) the exclusive right to control and direct the investigation, defense, or settlement of such Claim; and (iii) all reasonable necessary cooperation of Tableau. Tableau may participate in the defense of any Claim by counsel of its own choosing, at its cost and expense. You will not, and do not have authority to, settle any Claim without Tableau’s prior written consent if the settlement requires Tableau to take any action, refrain from taking any action, or admit any liability.
8. Confidential Information. All nonpublic software, code, inventions, know-how, business, technical and financial information, and other confidential and proprietary information you obtain from Tableau or any of its affiliates constitute the confidential property of Tableau (“Confidential Information”). You will hold in confidence and not use or disclose any Confidential Information. Notwithstanding the foregoing, your nondisclosure obligation shall not apply to information that you can document: (a) was rightfully in your possession or known to you prior to receipt of the Confidential Information; (b) is or has become public knowledge through no fault of your own; (c) is rightfully obtained by you from a third party without breach of any confidentiality obligation; (d) is independently developed by your employees who had no access to such information; or (e) is required to be disclosed pursuant to a regulation, law or court order (but only to the minimum extent required to comply with such regulation or order and with advance notice to Tableau). You acknowledge that disclosure of Confidential Information would cause substantial harm to Tableau that could not be remedied by the payment of damages alone and therefore, upon any such disclosure by you, Tableau will be entitled to appropriate equitable relief in addition to whatever other remedies it might have at law.
9. Export Compliance. You are responsible for complying with U.S. export controls and economic sanctions, including the Export Administration Regulations (EAR) and the regulations administered by the Treasury Department’s Office of Foreign Assets Control (OFAC), any applicable import laws, regulations and requirements of the country of importation, and all other applicable trade laws, regulations and requirements which may apply to downloads of software or disclosure of technology subject to U.S. jurisdiction (collectively, “Trade Laws”), and for any violation of applicable Trade Laws. You agree that: (a) you will not allow any third party to export, re-export, or transfer any part of the SDK, or any of your Connectors or Products in violation of applicable Trade Laws; and (b) you have in effect policies and procedures reasonably designed to ensure compliance with applicable Trade Laws, including determining the export classifications and licensing requirements applicable to any Connectors and Products. You represent, warrant and covenant that you are not, and that your subsidiaries and their respective directors, officers, or employees are not: (i) identified on any U.S. government list of prohibited or restricted end user, including the OFAC list of Specially Designated Nationals and the EAR Entity List, Denied Parties List or Unverified List; (ii) located in, organized under the laws of, or a resident of, any jurisdiction subject to comprehensive U.S. sanctions; or (iii) owned or controlled by any of the parties covered by (i) and (ii).
10. General
    10.1. Assignment. This Agreement will bind and inure to the benefit of each party’s permitted successors and assigns. Tableau may assign this Agreement to any affiliate or in connection with a merger, reorganization, acquisition or other transfer of all or substantially all of Tableau’s assets or voting securities. You may not assign or transfer this Agreement, in whole or in part, without Tableau’s written consent. Any attempt to transfer or assign this Agreement without such written consent will be null and void.
    10.2. Severability. If any provision of this Agreement shall be adjudged by any court of competent jurisdiction to be unenforceable or invalid, that provision shall be limited to the minimum extent necessary so that this Agreement shall otherwise remain in effect.
    10.3. Governing Law. This Agreement will be governed by and construed in accordance with the laws of the State of Washington and the United States without regard to conflicts of laws provisions. The jurisdiction and venue for actions related to the subject matter hereof will be the state and federal courts located in Seattle, Washington, and both parties hereby submit to the personal jurisdiction of such courts.
    10.4. Notices and Reports. Any notice or report hereunder will be in writing. If to Tableau, such notice or report will be sent to Tableau at 1621 N. 34th St., Seattle, WA 98103 to the attention of “Legal Department”. If to Tableau by email, such notice or report will be sent to legal@tableau.com. If to you, such notice or report will be sent to the physical address (or, if by email, the email address) you provided upon placing your order. Notices and reports will be deemed given: (a) upon receipt if by personal delivery; (b) upon receipt if sent by certified or registered mail (return receipt requested); or (c) one day after it is sent if by next day delivery by a major commercial delivery service. Any notices and reports sent by email will be effective upon receipt of the same.
    10.5. Government End-Users. The SDK is commercial computer software. If the user or licensee of the SDK is an agency, department, or other entity of the United States Government, the use, duplication, reproduction, release, modification, disclosure, or transfer of the SDK, or any related Documentation of any kind, including technical data and manuals, is restricted by a license agreement or by the terms of this Agreement in accordance with Federal Acquisition Regulation 12.212 for civilian purposes and Defense Federal Acquisition Regulation Supplement 227.7202 for military purposes. The SDK was developed fully at private expense. All other use is prohibited.
    10.6. Modifications. Tableau may modify this Agreement from time to time by giving notice to you in accordance with Section 10.4. The modified Agreement will become effective on the date set forth in the notice, and all other changes will become effective upon posting of the change. If you access or use the SDK after the effective date, that use will constitute your acceptance of any revised terms and conditions.
    10.7. Amendments; Waivers. Except as otherwise provided in this Agreement, no supplement, modification, or amendment of this Agreement will be binding, unless executed in writing by a duly authorized representative of each party to this Agreement. No waiver will be implied from conduct or failure to enforce or exercise rights under this Agreement, nor will any waiver be effective unless in a writing signed by a duly authorized representative on behalf of the party claimed to have waived.
    10.8. Entire Agreement. This Agreement is the complete and exclusive statement of the mutual understanding of the parties and supersedes and cancels all previous written and oral agreements and communications between you and Tableau relating to the SDK.
